Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::EdgeListBuilder::CommonVertex Struct Reference

A vertex can actually represent several vertices in the final model, because vertices along texture seams etc will have been duplicated. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes
Vector3 | position
size_t | index
size_t | vertexSet
size_t | indexSet
size_t | originalIndex

## Detailed Description

A vertex can actually represent several vertices in the final model, because vertices along texture seams etc will have been duplicated.

In order to properly evaluate the surface properties, a single common vertex is used for these duplicates, and the faces hold the detail of the duplicated vertices.

Definition at line 197 of file OgreEdgeListBuilder.h.

## Member Data Documentation

size_t Ogre::EdgeListBuilder::CommonVertex::index

| Definition at line 199 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeListBuilder::CommonVertex::indexSet

| Definition at line 201 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeListBuilder::CommonVertex::originalIndex

| Definition at line 202 of file OgreEdgeListBuilder.h.

Vector3 Ogre::EdgeListBuilder::CommonVertex::position

| Definition at line 198 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeListBuilder::CommonVertex::vertexSet

| Definition at line 200 of file OgreEdgeListBuilder.h.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:12 2007